Package org.apache.sling.starter.testservices.repository

# Class SecondRepositoryInitializer

java.lang.Object
org.apache.sling.starter.testservices.repository.SecondRepositoryInitializer

All Implemented Interfaces:
  `org.apache.sling.jcr.api.SlingRepositoryInitializer`

public class SecondRepositoryInitializer extends Object implements org.apache.sling.jcr.api.SlingRepositoryInitializer
SlingRepositoryInitializer that adds a property to the node created by FirstRepositoryInitializer.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SIGNAL_PROPERTY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`SecondRepositoryInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`processRepository(org.apache.sling.jcr.api.SlingRepository repo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SIGNAL_PROPERTY_NAME

public static final String SIGNAL_PROPERTY_NAME

## Constructor Details

### SecondRepositoryInitializer

public SecondRepositoryInitializer()

## Method Details

### processRepository

public void processRepository(org.apache.sling.jcr.api.SlingRepository repo) throws Exception

Specified by:
  `processRepository` in interface `org.apache.sling.jcr.api.SlingRepositoryInitializer`
Throws:
  `Exception`